import request from '@/utils/request'

// 用户列表
export function getUserList(params: any) {
    return request.get({ url: '/user.user/lists', params }, { ignoreCancelToken: true })
}

// 土地种植表列表
export function apiLandPlantLists(params: any) {
    return request.get({ url: '/land.land_plant/lists', params })
}

// 土地种植作物操作表列表
export function apiLandPlantActionLists(params: any) {
    return request.get({ url: '/land.land_plant_action/lists', params })
}

// 添加土地种植作物操作表
export function apiLandPlantActionAdd(params: any) {
    return request.post({ url: '/land.land_plant_action/add', params })
}

// 编辑土地种植作物操作表
export function apiLandPlantActionEdit(params: any) {
    return request.post({ url: '/land.land_plant_action/edit', params })
}

// 删除土地种植作物操作表
export function apiLandPlantActionDelete(params: any) {
    return request.post({ url: '/land.land_plant_action/delete', params })
}

// 土地种植作物操作表详情
export function apiLandPlantActionDetail(params: any) {
    return request.get({ url: '/land.land_plant_action/detail', params })
}